MAPSEMBLER2_KISSREADS_GRAPH(1)

NAME
mapsembler2_kissreads_graph - maps the provided reads on the graph

SYNOPSIS
mapsembler2_kissreads_graph input_graph <readsC1.fasta/fastq[.gz]> [<readsC2.fasta/fastq[.gz]> [<readsC3.fasta/fastq[.gz] ...] -M -t type [-k value] [-c min_coverage] [-d max_substitutions] [-o name] [-h]

DESCRIPTION
mapsembler2_kissreads_graph maps the provided reads on the graph With option "-t coverage": outputs an equivalent graph removing uncovered edges and adding:

    for each node: the coverage per sample and per position

    for each edge: the number of mapped reads per sample using this edge

With option "-t modify": outputs the same simplified graph:

    removing low covered edges and nodes (less that min_coverage) then phasing simple non branching paths

If -M option is specified, the input is considered as a Mapsembler output - thus composed of multiple independent graphes

OPTIONS

  MANDATORY

-t <type>

    "c" "coverage"

    "m" "modify"

  OPTIONAL
-M: the input is considered as a Mapsembler output

-o file_name: write obtained graph. Default: standard output

-k size_seed: will use seeds of length size_seed. Default: 25.

-c min_coverage: Will consider an edge as coherent if coverage (number of reads from all sets using this edge) is at least min_coverage. Default: 2

-d max_substitutions: Will map a read on the graph with at most max_substitutions substitutions. Default: 1

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.